﻿@model CarRent.ViewModels.RegisterViewModel

<h1>Register</h1>

<h4>UserRegistration</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Register">
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="PassportId" class="control-label"></label>
                <input asp-for="PassportId" class="form-control" />
                <span asp-validation-for="PassportId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="DriverLicense" class="control-label"></label>
                <input asp-for="DriverLicense" class="form-control" />
                <span asp-validation-for="DriverLicense" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="FirstName" class="control-label"></label>
                <input asp-for="FirstName" class="form-control" />
                <span asp-validation-for="FirstName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="MiddleName" class="control-label"></label>
                <input asp-for="MiddleName" class="form-control" />
                <span asp-validation-for="MiddleName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="LastName" class="control-label"></label>
                <input asp-for="LastName" class="form-control" />
                <span asp-validation-for="LastName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="BirthDay" class="control-label"></label> 
                <input  asp-for="BirthDay" type="date" class ="form-control" />
                <span asp-validation-for="BirthDay" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Phone1" class="control-label"></label>
                <input asp-for="Phone1" class="form-control" />
                <span asp-validation-for="Phone1" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Phone2" class="control-label"></label>
                <input asp-for="Phone2" class="form-control" />
                <span asp-validation-for="Phone2" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label asp-for="Email" class="control-label"></label>
                <input asp-for="Email" class="form-control" />
                <span asp-validation-for="Email" class="text-danger"></span>
            </div>

            <div class="form-group">
                <label asp-for="Password" class="control-label"></label>
                <input asp-for="Password" class="form-control" />
                <span asp-validation-for="Password" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="PasswordConfirm" class="control-label"></label>
                <input asp-for="PasswordConfirm" class="form-control" />
                <span asp-validation-for="PasswordConfirm" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}